package com.atguigu.ssyx.acl.service;

import com.atguigu.ssyx.model.acl.Permission;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

/**
 * ClassName: PermissionService
 * Package: com.atguigu.ssyx.acl.service
 * 权限服务
 *
 * @author yovinchen
 * @Create 2023/9/14 14:01
 */
public interface PermissionService extends IService<Permission> {

    //获取所有菜单列表
    List<Permission> queryAllMenu();

    //递归删除
    boolean removeChildById(Long id);

    Map<String, Object> getPermissionById(Long id);
}
